@ECHO OFF

rem post-11.5.5 upgrade tasks
rem StarQuest Ventures, Inc.
rem 3/29/21

rem Customize and run this from an elevated DB2 command window running as a user
rem  with adequate operating system and database authority

rem See .\readme.txt for details

rem Run this on all SQDR (SQDRC & SQDRPn) databases after DB2 has been updated to 11.5.x 
rem i.e. any databases that derive from our templates

set DB2DIR=C:\Program Files\IBM\SQLLIB
set DB2=%DB2DIR%\bin\db2
set DB2CLP=DB20FADE
set DB2INSTANCE=DB2

set LOG=db2update.log

rem Make sure that there are no active database connections

rem CUSTOMIZE the database list
rem See readme for a batch file to generate a list of databases, and replace the list of databases below
rem CUSTOMIZE the steps to perform

for %%x in ( 
 SQDRC ^
 SQDRP0 ^
 ) do (

echo %%x
echo %%x >> %LOG%
"%DB2%" deactivate db %%x >> %LOG% 2>&1

echo DB2 UPGRADE DB %%x
"%DB2%" upgrade db %%x >> %LOG% 2>&1

db2updv115 -d %%x >> %LOG% 2>&1

"%DB2%" update db cfg for %%x using CATALOGCACHE_SZ 1000 >> %LOG% 2>&1
"%DB2%" update db cfg for %%x using LOGFILSIZ 8192 >> %LOG% 2>&1

)

